STC work in progress

Change-Id: Ie5e444e3b560b605b066899289cdee7a5fe8338c
diff --git a/tools/test/bin/onos-check-bits b/tools/test/bin/onos-check-bits
new file mode 100755
index 0000000..0cf5fe5
--- /dev/null
+++ b/tools/test/bin/onos-check-bits
@@ -0,0 +1,9 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks if ONOS bits are available in preparation for install.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+test -f $ONOS_TAR
diff --git a/tools/test/bin/stc b/tools/test/bin/stc
new file mode 100755
index 0000000..9dfa38f
--- /dev/null
+++ b/tools/test/bin/stc
@@ -0,0 +1,13 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+#   System Test Coordinator
+#-------------------------------------------------------------------------------
+
+STC_ROOT=${STC_ROOT:-$(dirname $0)/..}
+cd $STC_ROOT
+VER=1.2.0-SNAPSHOT
+
+PATH=$PWD/bin:$PATH
+
+java -jar ~/.m2/repository/org/onosproject/onlab-stc/$VER/onlab-stc-$VER.jar \
+    "${@:-$ONOS_ROOT/tools/test/scenarios/smoke.xml}"
diff --git a/tools/test/bin/stc-launcher b/tools/test/bin/stc-launcher
new file mode 100755
index 0000000..3ef661e
--- /dev/null
+++ b/tools/test/bin/stc-launcher
@@ -0,0 +1,5 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+#   System Test Coordinator process launcher
+#-------------------------------------------------------------------------------
+"$@" 2>&1